Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.api.plugins.announce
[Groovy] Class AnnouncePluginExtension

    java.lang.Object
      org.gradle.api.plugins.announce.AnnouncePluginExtension

    class AnnouncePluginExtension
    extends java.lang.Object

Property Summary
`org.gradle.api.plugins.announce.internal.AnnouncerFactory` | `announcerFactory`
`Announcer` | `local`
`java.lang.String` | `password` The password to use for announcements.
`java.lang.String` | `username` The username to use for announcements.

Constructor Summary
`AnnouncePluginExtension(java.lang.Object project)`

Method Summary
`void` | `announce(java.lang.String msg, java.lang.String type)` Sends an announcement of the given type.
`Announcer` | `getLocal()` Returns an Announcer that sends announcements to the local desktop, if a notification mechanism is available.

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### announcerFactory

    org.gradle.api.plugins.announce.internal.AnnouncerFactory announcerFactory

### local

    Announcer local

### password

    java.lang.String password

  The password to use for announcements.

### username

    java.lang.String username

  The username to use for announcements.

Constructor Detail

### AnnouncePluginExtension

    AnnouncePluginExtension(java.lang.Object project)

Method Detail

### announce

    void announce(java.lang.String msg, java.lang.String type)

  Sends an announcement of the given type.
  Parameters:
    `msg` - The content of the announcement
    `type` - The announcement type.

### getLocal

    Announcer getLocal()

  Returns an Announcer that sends announcements to the local desktop, if a notification mechanism is available.
  Returns:
    The announcer.

Groovy Documentation